### Signal

# WebKit WebView::create

#### Declaration

    GtkWidget*
    create (
      WebKitWebView* self,
      WebKitNavigationAction* navigation_action,
      gpointer user_data
    )

#### Description [src]

Emitted when the creation of a new `WebKitWebView` is requested. If this signal is handled the signal handler should return the newly created `WebKitWebView`.

The `WebKitNavigationAction` parameter contains information about the navigation action that triggered this signal.

The new `WebKitWebView` must be related to `web_view`, see `WebKitWebView:related-view` for more details.

The new `WebKitWebView` should not be displayed to the user until the `WebKitWebView::ready-to-show` signal is emitted.

For creating views as response to automation tools requests, see the `WebKitAutomationSession::create-web-view` signal.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`navigation_action`

  Type: `WebKitNavigationAction`

  A `WebKitNavigationAction`.

  The data is owned by the caller of the function.

#### Return value

Type: `GtkWidget`

A newly allocated `WebKitWebView` widget or `NULL` to propagate the event further.

The caller of the function takes ownership of the data, and is responsible for freeing it.